## WebKitNotification WebKitNotification — Object used to hold information about a notification that should be shown to the user. |

## Functions

guint64 | webkit_notification_get_id ()
const gchar * | webkit_notification_get_title ()
const gchar * | webkit_notification_get_body ()
void | webkit_notification_close ()

## Properties

gchar * | body | Read
guint64 | id | Read
gchar * | title | Read

## Signals

void | closed | Run Last

## Types and Values

struct | WebKitNotification

## Object Hierarchy

        GObject
        ╰── WebKitNotification

## Description

## Functions

### webkit_notification_get_id ()

    guint64
    webkit_notification_get_id (WebKitNotification *notification);

Obtains the unique id for the notification.

#### Parameters

notification | a WebKitNotification |

#### Returns

the unique id for the notification

Since 2.8

### webkit_notification_get_title ()

    const gchar *
    webkit_notification_get_title (WebKitNotification *notification);

Obtains the title for the notification.

#### Parameters

notification | a WebKitNotification |

#### Returns

the title for the notification

Since 2.8

### webkit_notification_get_body ()

    const gchar *
    webkit_notification_get_body (WebKitNotification *notification);

Obtains the body for the notification.

#### Parameters

notification | a WebKitNotification |

#### Returns

the body for the notification

Since 2.8

### webkit_notification_close ()

    void
    webkit_notification_close (WebKitNotification *notification);

Closes the notification.

#### Parameters

notification | a WebKitNotification |

Since 2.8

## Types and Values

### struct WebKitNotification

    struct WebKitNotification;

## Property Details

### The `“body”` property

      “body”                     gchar *

The body for the notification.

Flags: Read

Default value: NULL

Since 2.8

### The `“id”` property

      “id”                       guint64

The unique id for the notification.

Flags: Read

Default value: 0

Since 2.8

### The `“title”` property

      “title”                    gchar *

The title for the notification.

Flags: Read

Default value: NULL

Since 2.8

## Signal Details

### The `“closed”` signal

    void
    user_function (WebKitNotification *notification,
                   gpointer            user_data)

Emitted when a notification has been withdrawn.

The default handler will close the notification using libnotify, if built with support for it.

#### Parameters

notification | the WebKitNotification on which the signal is emitted |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since 2.8